## mcl14 14-137%2Bocaml

=== debian/changelog ===
mcl14 (14-137+ocaml-3build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 21:21:30 +0200

mcl14 (14-137+ocaml-3build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 22:10:39 +0100

mcl14 (14-137+ocaml-3build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:32:23 +0200

mcl14 (14-137+ocaml-3) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix build with OCaml 5.2.0 (Closes: #1073885)

 -- Andreas Tille <tille@debian.org>  Sun, 30 Jun 2024 18:05:34 +0200

mcl14 (14-137+ocaml-2) unstable; urgency=medium

  * Source only upload
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 May 2024 08:27:58 +0200

mcl14 (14-137+ocaml-1) unstable; urgency=medium

  * This is a new package featuring the old version 14-137 which has OCaml
    support which is needed for pplacer
    Closes: 1064596
  * d/watch: Restrict to version 14-*
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Avoid epoch since its a new version but add +ocaml suffix to make
    sure version is higher than before
  * Use mcl14-ocaml-dev as binary package name to avoid keeping epoch
    for ever (oldstable already has version 1:14-137+ds-9+b1)
  * Silence lintian a bit
  * Add DEP3 Forwarded header

 -- Andreas Tille <tille@debian.org>  Sat, 24 Feb 2024 21:36:26 +0100

mcl (1:14-137+ds-9) unstable; urgency=medium

  * Fix FTBFS when using gcc-10 (Closes: #957525)

 -- Shayan Doust <hello@shayandoust.me>  Wed, 22 Jul 2020 14:32:45 +0100

mcl (1:14-137+ds-8) unstable; urgency=medium

  * Add myself as an uploader
  * Modify patch to fix missing scripts' installation (Closes: #963774)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 29 Jun 2020 10:54:16 +0100

mcl (1:14-137+ds-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing Build-Depends: bsdextrautils
  * Enable backports

  [ Shayan Doust ]
  * Install missing library

 -- Shayan Doust <hello@shayandoust.me>  Sun, 21 Jun 2020 19:27:10 +0100

mcl (1:14-137+ds-6) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jun 2020 12:25:00 +0200

mcl (1:14-137+ds-5) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Shayan Doust ]
  * Patch for mcl OCaml support
  * OCaml headers are not compatible with c89, so change to c99
  * Add rules for *.ml files to build ...fails for some reason
  * Add build depends for OCaml
  * Add oasis as build dependency and run oasis setup in rules
  * Disable dh_auto_build as we do this manually due to OCaml
  * Use --with ocaml but invoke autoreconf manually within overridden
    dh_auto_build
  * New package libmcl-ocaml-dev providing the mcl / ocaml bindings
  * install ocaml libs within libmcl-ocaml-dev.install
  * Install META file
  * Set directory = "^" for ocamlfind to find the libs
  * Revert "Set directory = "^" for ocamlfind to find the libs"
  * Use XMETAExtraLines in _oasis to add directory = "^" for ocamlfind to
    find the libs

  [ Andreas Tille ]
  * Add Build-Depends to work with "--with ocaml"
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set field Upstream-Name in debian/copyright.
  * dh_missing of debhelper compat=13 claims missing installation of docs
  * install mcl's own examples in one dir and autopkgtest in other dir
  * Section: ocaml

 -- Shayan Doust <hello@shayandoust.me>  Thu, 11 Jun 2020 19:18:39 +0100

mcl (1:14-137+ds-4) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Provide autopkgtest

  [ Andreas Tille ]
  * Standards-Version: 4.4.0
  * debhelper 12

 -- Saira Hussain <saira.h0213@zoho.com>  Thu, 11 Jul 2019 14:30:55 +0200

mcl (1:14-137+ds-3) unstable; urgency=medium

  * Philipp Benner <philipp@debian.org> has retired - thanks for your
    work on this package
    Closes: #913462

 -- Andreas Tille <tille@debian.org>  Thu, 06 Dec 2018 10:07:17 +0100

mcl (1:14-137+ds-2) unstable; urgency=medium

  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/copyright
  * Fix Perl interpreter path

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2018 09:51:31 +0100

mcl (1:14-137+ds-1) unstable; urgency=medium

  * Do not save copies of docs in d/rules
    Closes: #887829
  * Remove files from upstream tarball which will be recreated and
    prevent building the package twice in a row
  * Standards-Version: 4.1.3
  * debhelper 11
  * Fix further spelling issues

 -- Andreas Tille <tille@debian.org>  Mon, 22 Jan 2018 13:00:52 +0100

mcl (1:14-137-2) unstable; urgency=medium

  * DEP5
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Secure watch file
  * DEP3
  * hardening=+all
  * Fix spelling
  * Fix whatis entry in manpages

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2017 11:08:18 +0100

mcl (1:14-137-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * debian/control:
     - cme fix dpkg-control
     - debhelper 9
  * debian/rules: short dh
  * html docs are now installed into html subdirectory

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2014 15:50:29 +0200

mcl (1:12-135-2) unstable; urgency=low

  * Added mayhem bugfixes.
  * Standards version 3.9.4.

 -- Philipp Benner <philipp@debian.org>  Sun, 07 Jul 2013 15:01:08 +0200

mcl (1:12-135-1) unstable; urgency=low

  [ Andreas Tille ]
  * debian/upstream: Add citation information

  [ Philipp Benner ]
  * New upstream release

