## mcl14 14-137+ocaml

=== debian/control ===
Source: mcl14
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Shayan Doust <hello@shayandoust.me>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-ocaml,
               zoem,
               tidy,
               aephea,
               ocaml,
               ocamlbuild,
               ocaml-findlib,
               oasis,
               bsdextrautils,
               dh-exec,
               libtingea-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/mcl14
Vcs-Git: https://salsa.debian.org/med-team/mcl14.git
Homepage: https://micans.org/mcl/
Rules-Requires-Root: no

Package: libmcl14-ocaml-dev
Architecture: any
Section: ocaml
Depends: ocaml-findlib,
         ${ocaml:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library providing bindings between mcl and OCaml
 The MCL package is an implementation of the MCL algorithm, and offers
 utilities for manipulating sparse matrices (the essential data
 structure in the MCL algorithm) and conducting cluster experiments.
 .
 This library provides bindings between mcl and OCaml.
 .
 This OCaml code is based on a patch for mcl version 14.  Unfortunately
 the attempt to port the patch to latest mcl did not succeeded.
