=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	#dh_auto_build
 	autoreconf --install
 	oasis setup
-	ocaml -I +camlp-streams camlp_streams.cma setup.ml -all
+	ocaml setup.ml -all
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
